# Generated from governor_thinking_sphinx-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name governor_thinking_sphinx

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: ThinkingSphinx plugin for the Rails 3-based Governor blogging system
License: MIT
URL: http://github.com/carpeliam/governor_thinking_sphinx
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(factory_girl) >= 2.0.0.beta
# BuildRequires: rubygem(factory_girl) < 2.1
# BuildRequires: rubygem(factory_girl_rails) >= 1.1.beta
# BuildRequires: rubygem(factory_girl_rails) < 2
# BuildRequires: rubygem(activerecord-nulldb-adapter)
# BuildRequires: rubygem(will_paginate) >= 3.0.beta
# BuildRequires: rubygem(will_paginate) < 4
# BuildRequires: rubygem(devise)
# BuildRequires: rubygem(governor_thinking_sphinx)
# BuildRequires: rubygem(dynamic_form)
# BuildRequires: rubygem(mysql2)
BuildArch: noarch

%description
A plugin for the Rails 3-based Governor blogging system that adds
ThinkingSphinx search functionality to a blog.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/governor_thinking_sphinx.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.4-1
- Initial package
